/**
 * Single Window Alt+Tab Library headers.
 * 
 * Copyright 2009, Konstantin Tretyakov
 * http://kt.pri.ee/
 *
 * This software and code is subject to the MIT license.
 */
#ifndef _DLL_H_
#define _DLL_H_

#if BUILDING_DLL
# define DLLIMPORT __declspec (dllexport)
#else /* Not BUILDING_DLL */
# define DLLIMPORT __declspec (dllimport)
extern "C" {
#endif /* Not BUILDING_DLL */

#ifdef WINVER  // Hack needed to get access to the INPUT structure definition in windows.h.
  #undef WINVER
#endif
#define WINVER 0x0500
#include <windows.h>

// Installs/uninstalls alt-tab->ctrl-tab translation on/off
// (Currently simply translates Alt->Ctrl with some hacks).
// It is enough for the application to call it once at the beginning.
// Uninstallation is done automatically when all processes detach.
DLLIMPORT BOOL SaltTabInstallHook(BOOL install);
DLLIMPORT BOOL SaltTabEnable(BOOL enable);
DLLIMPORT void SaltTabSetListener(HWND hWnd, UINT message);
DLLIMPORT BOOL SaltTabHookInstalled();
DLLIMPORT BOOL SaltTabEnabled();
DLLIMPORT int SaltTabDllLoadCount();

#ifndef BUILDING_DLL
} /* extern "C" */
#endif

#endif /* _DLL_H_ */
